Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1141703002: Chromium changes for static linking ffmpeg (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 4 months ago by chcunningham
Modified:
2 years, 3 months ago
CC:
Aaron Boodman, abarth-chromium, avayvod+watch_chromium.org, ben+mojo_chromium.org, chromium-reviews, darin (slow to review), eme-reviews_chromium.org, erikwright+watch_chromium.org, feature-media-reviews_chromium.org, gab, hclam+watch_chromium.org, hguihot+watch_chromium.org, hubbe+watch_chromium.org, imcheng+watch_chromium.org, jasonroberts+watch_google.com, miu+watch_chromium.org, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org, Andrew Hayden (chromium.org)
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Chromium changes to statically link ffmpeg. Motivations: 1. Eliminates a large number of windows crashes hit while loading the DLL (see bugs) 2. Reducing the size of binary (about 400KB on linux, about 265KB on 32bit windows) due to dead-code elimination 3. Simplifying media library initialization (Remove bool-ness, it just works) Licensing: We've audited all the licenses for the files we actually use and have the green light from legal as long as we include the license text in the credits. BUG=435455, 429131, 441908 CQ_INCLUDE_TRYBOTS=tryserver.blink:linux_blink_rel Committed: https://crrev.com/bfef6d6ba82b172ac0e48c80d9ccf1a1ca0ea5c5 Cr-Commit-Position: refs/heads/master@{#332891} Committed: https://crrev.com/fd11b3c3aa6730ae1f024811b61913cd63f9d39a Cr-Commit-Position: refs/heads/master@{#333423}

Patch Set 1 #

Patch Set 2 : Fixing build breaks #

Patch Set 3 : Fixing more breaks (rolling deps) #

Patch Set 4 : More fixes #

Patch Set 5 : Fixing build issue and first try at GN #

Patch Set 6 : Adding fake dll/so files to satisfy external .isolates #

Patch Set 7 : Edit framework.order file to appease mac bot #

Patch Set 8 : Removing ffmpegsumo shared lib from isolates #

Patch Set 9 : Removing mention of ffmpeg shared lib from various config/gyp/installer files #

Total comments: 10

Patch Set 10 : Rolling deps after feedback, still trying to fix mac #

Patch Set 11 : Rolling deps to grab latest ffmpeg staging (x86inc and GN changes) #

Patch Set 12 : Tweaking our x86inc.asm #

Total comments: 14

Patch Set 13 : Reverting x86.asm change. Rolling deps to get new ffmpeg changes #

Patch Set 14 : Rebasing so the patch will apply #

Patch Set 15 : Responding to feedback #

Patch Set 16 : Fixing GN build #

Patch Set 17 : Adding missed gyp change. #

Patch Set 18 : Updates media_nacl.gyp to disable ffmpeg includes #

Patch Set 19 : Updating media library initialize calls #

Total comments: 2

Patch Set 20 : Fixing windows and mac build issues. Rolling deps. #

Patch Set 21 : Rolling deps (fix GN, change component build strategy), and removing unused extern. #

Patch Set 22 : Fix mac component build - export all symbols. #

Patch Set 23 : Rolling deps to fix mac-rel build #

Patch Set 24 : Rolling DEPS again to fix remaining issue #

Patch Set 25 : Rolling DEPS to pick up third_party/ffmpeg build changes #

Patch Set 26 : Attempting rebase to fix patch issues #

Patch Set 27 : Rolling DEPS to pick up ffmpeg GYP changes #

Total comments: 8

Patch Set 28 : Rolling DEPS to ffmpeg master branch #

Patch Set 29 : Responding to feedback and rolling DEPS to ffmpeg master HEAD #

Patch Set 30 : Missed a file #

Patch Set 31 : Rebase and merge fix #

Patch Set 32 : Rebase and merge fixes #

Patch Set 33 : Rebase #

Patch Set 34 : Rebase #

Patch Set 35 : Rolling deps to fix win component build. Rebased. #

Patch Set 36 : Roll DEPS to fix cros, rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+68 lines, -475 lines) Patch
M DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 1 chunk +1 line, -1 line 0 comments Download
M ash/ash_unittests.isolate View 1 2 3 4 5 6 7 2 chunks +0 lines, -2 lines 0 comments Download
M cc/cc_unittests.isolate View 1 2 3 4 5 6 7 3 chunks +0 lines, -3 lines 0 comments Download
M cc/trees/layer_tree_host_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 1 chunk +1 line, -1 line 0 comments Download
M cc/trees/layer_tree_host_unittest_context.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +1 line, -1 line 0 comments Download
M chrome/chrome.isolate View 1 2 3 4 5 6 7 4 chunks +0 lines, -4 lines 0 comments Download
M chrome/chrome_dll_bundle.gypi View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -1 line 0 comments Download
M chrome/chrome_installer.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 1 chunk +0 lines, -1 line 0 comments Download
M chrome/installer/linux/common/installer.include View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -3 lines 0 comments Download
M chrome/installer/mini_installer/chrome.release View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -1 line 0 comments Download
M chrome/interactive_ui_tests.isolate View 1 2 3 4 5 6 7 4 chunks +0 lines, -4 lines 0 comments Download
M chrome/plugin/chrome_content_plugin_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 1 chunk +2 lines, -5 lines 0 comments Download
M chrome/sync_integration_tests.isolate View 1 2 3 4 5 6 7 4 chunks +0 lines, -4 lines 0 comments Download
M chrome/test/base/chrome_test_suite.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download
M chrome/test/chromeos/autotest/files/client/deps/chrome_test/setup_test_links.sh View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -1 line 0 comments Download
M chrome/test/chromeos/autotest/files/client/deps/pyauto_dep/setup_test_links.sh View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -1 line 0 comments Download
M chrome/tools/build/chromeos/FILES.cfg View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +0 lines, -4 lines 0 comments Download
M chrome/tools/build/linux/FILES.cfg View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +0 lines, -4 lines 0 comments Download
M chrome/tools/build/mac/TESTS View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -1 line 0 comments Download
M chrome/tools/build/mac/dump_product_syms View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -1 line 0 comments Download
M chrome/tools/build/win/FILES.cfg View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +0 lines, -5 lines 0 comments Download
M chrome/unit_tests.isolate View 1 2 3 4 5 6 7 4 chunks +0 lines, -4 lines 0 comments Download
M chrome/utility/extensions/extensions_handler.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +2 lines, -5 lines 0 comments Download
M chromecast/media/cma/test/run_all_unittests.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download
M components/components_unittests.isolate View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +0 lines, -4 lines 0 comments Download
M components/html_viewer/media_factory.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 1 chunk +1 line, -5 lines 0 comments Download
M content/app/content_main_runner.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 1 chunk +1 line, -6 lines 0 comments Download
M content/browser/browser_main_loop.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 1 chunk +1 line, -1 line 0 comments Download
M content/content_browsertests.isolate View 1 2 3 4 5 6 7 4 chunks +0 lines, -4 lines 0 comments Download
M content/content_gl_tests.isolate View 1 2 3 4 5 6 7 1 chunk +0 lines, -15 lines 0 comments Download
M content/content_shell.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 1 chunk +0 lines, -7 lines 0 comments Download
M content/content_unittests.isolate View 1 2 3 4 5 6 7 4 chunks +0 lines, -4 lines 0 comments Download
M content/renderer/render_thread_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 2 chunks +1 line, -8 lines 0 comments Download
M content/test/content_test_suite.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 1 chunk +1 line, -1 line 0 comments Download
M content/test/test_blink_web_unit_test_support.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 1 chunk +3 lines, -13 lines 0 comments Download
M media/audio_unittests.isolate View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 1 chunk +0 lines, -22 lines 0 comments Download
M media/base/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 2 chunks +0 lines, -6 lines 0 comments Download
M media/base/media.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 1 chunk +3 lines, -26 lines 0 comments Download
M media/base/media.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 1 chunk +17 lines, -43 lines 0 comments Download
D media/base/media_posix.cc View 1 chunk +0 lines, -66 lines 0 comments Download
D media/base/media_stub.cc View 1 chunk +0 lines, -19 lines 0 comments Download
D media/base/media_win.cc View 1 chunk +0 lines, -56 lines 0 comments Download
M media/base/run_all_perftests.cc View 1 chunk +1 line, -1 line 0 comments Download
M media/base/run_all_unittests.cc View 1 chunk +1 line, -1 line 0 comments Download
M media/blink/run_all_unittests.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 1 chunk +1 line, -1 line 0 comments Download
M media/cast/cast_unittests.isolate View 3 chunks +0 lines, -21 lines 0 comments Download
M media/cast/sender/audio_encoder_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 1 chunk +1 line, -1 line 0 comments Download
M media/cast/sender/audio_sender_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M media/cast/sender/h264_vt_encoder_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 1 chunk +1 line, -1 line 0 comments Download
M media/cast/test/sender.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -7 lines 0 comments Download
M media/cast/test/simulator.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -4 lines 0 comments Download
M media/cdm/ppapi/external_clear_key/clear_key_cdm.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +3 lines, -12 lines 0 comments Download
M media/ffmpeg/ffmpeg_common_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 3 chunks +4 lines, -12 lines 0 comments Download
M media/filters/ffmpeg_glue.cc View 1 chunk +0 lines, -3 lines 0 comments Download
M media/media.gyp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 4 chunks +1 line, -5 lines 0 comments Download
M media/media_nacl.gyp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +3 lines, -1 line 0 comments Download
M media/media_unittests.isolate View 1 chunk +0 lines, -22 lines 0 comments Download
M media/mojo/services/renderer_config_default.cc View 1 chunk +1 line, -6 lines 0 comments Download
M media/test/pipeline_integration_test.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 1 chunk +1 line, -2 lines 0 comments Download
M remoting/base/run_all_unittests.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/it2me/it2me_native_messaging_host.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/remoting_me2me_host.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 1 chunk +2 lines, -2 lines 0 comments Download
M testing/chromoting/chromoting_integration_tests.isolate View 1 2 3 4 5 6 7 3 chunks +0 lines, -3 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 1 chunk +3 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 70 (20 generated)
DaleCurtis
https://codereview.chromium.org/1141703002/diff/160001/media/base/media.cc File media/base/media.cc (right): https://codereview.chromium.org/1141703002/diff/160001/media/base/media.cc#newcode61 media/base/media.cc:61: bool InitializeMediaLibrary(const base::FilePath& module_dir) { Delete? https://codereview.chromium.org/1141703002/diff/160001/media/base/media.h File media/base/media.h ...
2 years, 4 months ago (2015-05-15 00:23:06 UTC) #2
chcunningham
mauel@/mmoss@ can you lgtm for the .isolate files?
2 years, 4 months ago (2015-05-15 23:42:49 UTC) #4
M-A Ruel
The CL description is very dry. https://codereview.chromium.org/1141703002/diff/220001/media/base/media.cc File media/base/media.cc (right): https://codereview.chromium.org/1141703002/diff/220001/media/base/media.cc#newcode18 media/base/media.cc:18: extern void InitializeMediaLibraryInternal(); ...
2 years, 4 months ago (2015-05-15 23:51:29 UTC) #5
DaleCurtis
https://codereview.chromium.org/1141703002/diff/220001/media/base/media.cc File media/base/media.cc (right): https://codereview.chromium.org/1141703002/diff/220001/media/base/media.cc#newcode18 media/base/media.cc:18: extern void InitializeMediaLibraryInternal(); On 2015/05/15 23:51:29, M-A Ruel wrote: ...
2 years, 4 months ago (2015-05-15 23:57:45 UTC) #6
chcunningham
Adding a few more owners :) gab & grt for the installer files phajdan & ...
2 years, 4 months ago (2015-05-16 00:02:50 UTC) #8
chcunningham
Thanks both. Added some detail to the change description. https://codereview.chromium.org/1141703002/diff/160001/media/base/media.cc File media/base/media.cc (right): https://codereview.chromium.org/1141703002/diff/160001/media/base/media.cc#newcode61 media/base/media.cc:61: ...
2 years, 4 months ago (2015-05-16 04:36:26 UTC) #9
DaleCurtis
https://codereview.chromium.org/1141703002/diff/220001/media/base/media.cc File media/base/media.cc (right): https://codereview.chromium.org/1141703002/diff/220001/media/base/media.cc#newcode18 media/base/media.cc:18: extern void InitializeMediaLibraryInternal(); On 2015/05/16 04:36:25, chcunningham wrote: > ...
2 years, 4 months ago (2015-05-18 23:33:14 UTC) #10
Paweł Hajdan Jr.
LGTM
2 years, 4 months ago (2015-05-19 09:21:34 UTC) #12
grt (UTC plus 2)
On 2015/05/16 00:02:50, chcunningham wrote: > Adding a few more owners :) > > gab ...
2 years, 4 months ago (2015-05-19 16:33:51 UTC) #13
gab
On 2015/05/19 16:33:51, grt wrote: > On 2015/05/16 00:02:50, chcunningham wrote: > > Adding a ...
2 years, 4 months ago (2015-05-19 19:41:50 UTC) #14
chcunningham
Addressing some feedback, fixing some issues (though some remain). With this last patch, I expect ...
2 years, 4 months ago (2015-05-21 22:10:27 UTC) #16
chcunningham
Hey All, Thanks for your patience. The bots are finally green. Let the reviews commence! ...
2 years, 3 months ago (2015-06-02 17:41:03 UTC) #17
DaleCurtis
lgtm % some nits and cleanup. Thanks Chris! https://codereview.chromium.org/1141703002/diff/510001/chrome/utility/extensions/extensions_handler.cc File chrome/utility/extensions/extensions_handler.cc (right): https://codereview.chromium.org/1141703002/diff/510001/chrome/utility/extensions/extensions_handler.cc#newcode68 chrome/utility/extensions/extensions_handler.cc:68: // ...
2 years, 3 months ago (2015-06-02 18:21:07 UTC) #18
grt (UTC plus 2)
chrome/installer/mini_installer/chrome.release and chrome/tools/build/win/FILES.cfg lgtm
2 years, 3 months ago (2015-06-02 18:28:05 UTC) #19
chcunningham
Adding a few missing owners: enne@chromium.org - cc/trees/layer_tree_host_* gunsch@chromium.org - chromecast/media/cma/test/ jochen@chromium.org - content/ isherman@chromium.org ...
2 years, 3 months ago (2015-06-02 21:44:37 UTC) #21
Ilya Sherman
histograms.xml lgtm
2 years, 3 months ago (2015-06-02 21:49:29 UTC) #22
gunsch
chromecast lgtm
2 years, 3 months ago (2015-06-02 21:55:45 UTC) #23
chcunningham
https://codereview.chromium.org/1141703002/diff/510001/chrome/utility/extensions/extensions_handler.cc File chrome/utility/extensions/extensions_handler.cc (right): https://codereview.chromium.org/1141703002/diff/510001/chrome/utility/extensions/extensions_handler.cc#newcode68 chrome/utility/extensions/extensions_handler.cc:68: // Initialize media libraries for media file validation. On ...
2 years, 3 months ago (2015-06-03 01:14:16 UTC) #24
chcunningham
+jamiewalch@chromium.org for remoting
2 years, 3 months ago (2015-06-03 01:24:32 UTC) #26
jochen (gone - plz use gerrit)
lgtm
2 years, 3 months ago (2015-06-03 10:50:40 UTC) #27
Jamie
I'm concerned about the remark "as long as we include the license text in the ...
2 years, 3 months ago (2015-06-03 17:02:22 UTC) #28
DaleCurtis
I'll follow up with you Jamie.
2 years, 3 months ago (2015-06-03 17:32:23 UTC) #29
enne (OOO)
cc lgtm
2 years, 3 months ago (2015-06-03 18:22:30 UTC) #30
Jamie
+sergeyu for remoting/
2 years, 3 months ago (2015-06-03 18:48:38 UTC) #32
TVL
lgtm Just covering chrome/tools/build/mac/* while Mark is out.
2 years, 3 months ago (2015-06-03 21:19:33 UTC) #33
Michael Moss
FILES.cfg and linux installers LGTM
2 years, 3 months ago (2015-06-03 21:20:38 UTC) #34
Sergey Ulanov
remoting LGTM
2 years, 3 months ago (2015-06-03 21:47:30 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1141703002/550002
2 years, 3 months ago (2015-06-03 22:25:59 UTC) #38
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/68146)
2 years, 3 months ago (2015-06-03 22:37:42 UTC) #40
chcunningham
Thanks everyone for the review! +andrewhayden - FYI: this reduces binary size thanks to dead ...
2 years, 3 months ago (2015-06-03 22:54:25 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1141703002/600001
2 years, 3 months ago (2015-06-03 23:07:48 UTC) #44
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/68163)
2 years, 3 months ago (2015-06-03 23:19:02 UTC) #46
sky
ash_unittests.isolate LGTM
2 years, 3 months ago (2015-06-03 23:23:50 UTC) #47
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1141703002/600001
2 years, 3 months ago (2015-06-03 23:27:44 UTC) #49
commit-bot: I haz the power
Try jobs failed on following builders: linux_blink_rel on tryserver.blink (JOB_FAILED, http://build.chromium.org/p/tryserver.blink/builders/linux_blink_rel/builds/64891)
2 years, 3 months ago (2015-06-04 00:22:45 UTC) #51
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1141703002/620001
2 years, 3 months ago (2015-06-04 17:12:11 UTC) #54
commit-bot: I haz the power
Committed patchset #33 (id:620001)
2 years, 3 months ago (2015-06-04 19:56:07 UTC) #55
commit-bot: I haz the power
Patchset 33 (id:??) landed as https://crrev.com/bfef6d6ba82b172ac0e48c80d9ccf1a1ca0ea5c5 Cr-Commit-Position: refs/heads/master@{#332891}
2 years, 3 months ago (2015-06-04 19:57:45 UTC) #56
scottmg
Awesome!
2 years, 3 months ago (2015-06-04 20:26:02 UTC) #57
DaleCurtis
\o/
2 years, 3 months ago (2015-06-04 20:37:26 UTC) #58
xhwang
Yay!!!
2 years, 3 months ago (2015-06-04 20:52:30 UTC) #59
Will Harris
great success!!!
2 years, 3 months ago (2015-06-04 21:10:47 UTC) #60
Nico
This broke swarming tests on all bots that use component builds: http://code.google.com/p/chromium/issues/detail?id=496975
2 years, 3 months ago (2015-06-05 01:17:47 UTC) #61
chcunningham
With a much sadness, this was reverted yesterday to unblock the isolate swarming issue and ...
2 years, 3 months ago (2015-06-05 17:09:56 UTC) #62
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1141703002/680001
2 years, 3 months ago (2015-06-09 00:37:08 UTC) #65
commit-bot: I haz the power
Committed patchset #36 (id:680001)
2 years, 3 months ago (2015-06-09 02:09:57 UTC) #66
commit-bot: I haz the power
Patchset 36 (id:??) landed as https://crrev.com/fd11b3c3aa6730ae1f024811b61913cd63f9d39a Cr-Commit-Position: refs/heads/master@{#333423}
2 years, 3 months ago (2015-06-09 02:10:51 UTC) #67
Lei Zhang
I wish you incorporated r332950 into the second attempt to land this, because this just ...
2 years, 3 months ago (2015-06-09 03:15:52 UTC) #68
chcunningham
On 2015/06/09 03:15:52, Lei Zhang wrote: > I wish you incorporated r332950 into the second ...
2 years, 3 months ago (2015-06-09 03:29:31 UTC) #69
chcunningham
2 years, 3 months ago (2015-06-09 20:22:44 UTC) #70
Message was sent while issue was closed.
On 2015/06/09 03:29:31, chcunningham wrote:
> On 2015/06/09 03:15:52, Lei Zhang wrote:
> > I wish you incorporated r332950 into the second attempt to land this,
because
> > this just closed the tree.
> 
> Hey Lei, sorry I missed that. How can I help? The sizes change is ready to go.
> I'd submit this again for you, but I'll probably can't TBR it since I'm not a
> committer.

All: Looks like this is finally in! \o/

Lei resubmitted his change (thanks Lei), bots are all green, perf tests look
good. Now to see how it does in the wild :D

Thanks everyone for your reviews and your help!
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b